﻿using System.Windows.Controls;
using Databinding.Local.DataSources;

namespace Databinding.Objects {

  public partial class BizBinding : Page {
    public BizBinding() {
      InitializeComponent();
      this.Loaded += BizBinding_Loaded;

    }

    void BizBinding_Loaded(object sender, System.Windows.RoutedEventArgs e) {
      // in the Loaded event procedure
      var emp = new Employee();
      emp.FirstName = "Johnny";
      emp.LastName = "Appleseed";
      emp.Salary = 15000M;

      // sets the Datacontext for the Page
      this.DataContext = emp;
    }
  }
}
