﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace DataBindingMainApp.Resources
{

  public partial class Resource1 : Page
  {
    public Resource1()
    {
      InitializeComponent();

      this.Loaded += new RoutedEventHandler(Resource1_Loaded);

    }

    void Resource1_Loaded(object sender, RoutedEventArgs e)
    {
      // target type for style
      // is the TextBox
      var s = new Style(typeof(TextBox));
      var backSet = new Setter();
      
      backSet.Property = BackgroundProperty;
      backSet.Value = new SolidColorBrush(Colors.SteelBlue);

      s.Setters.Add(backSet);

      // apply style to 
      // these textboxes
      textBox1.Style = s;
      textBox2.Style = s;
    }
  }
}
