Imports Microsoft.VisualBasic
Imports System

Namespace Databinding.Local.DataSources
  Friend Class EmployeeWithValidation
	Private _firstName As String
	Public Property FirstName() As String
	  Get
		Return _firstName
	  End Get
	  Set(ByVal value As String)
		If String.IsNullOrEmpty(value) Then
		  Throw New ArgumentOutOfRangeException("This message for non WPF clients")
		Else
		  _firstName = value
		End If
	  End Set
	End Property
	Private _lastName As String
	Public Property LastName() As String
	  Get
		Return _lastName
	  End Get
	  Set(ByVal value As String)
		If String.IsNullOrEmpty(value) Then
		  Throw New ArgumentOutOfRangeException("Last Name cannot be an empty string.")

		Else
		  _lastName = value
		End If
	  End Set
	End Property
	Private _salary As Decimal
	Public Property Salary() As Decimal
	  Get
		Return _salary

	  End Get
	  Set(ByVal value As Decimal)
		If value < 0 Then

		  Throw New ArgumentOutOfRangeException("Salary cannot be a negative number.")

		Else
		  _salary = value
		End If
	  End Set
	End Property

  End Class
End Namespace
