Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel
Imports System.Windows.Threading
Namespace Databinding.Notification
  Public Class InventoryTickerB
	  Implements INotifyPropertyChanged
	' change notification via the INotifyPropertyChanged interface

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Private _productName As String
	Public Property ProductName() As String
	  Get
		  Return _productName
	  End Get
	  Set(ByVal value As String)
		_productName = value
		RaiseNotifyChanged("ProductName")
	  End Set
	End Property
	Private _unitsInStock As Integer
	Public Property UnitsInStock() As Integer
	  Get
		  Return _unitsInStock
	  End Get
	  Set(ByVal value As Integer)
		_unitsInStock = value
		RaiseNotifyChanged("UnitsInStock")
	  End Set
	End Property
	Private Sub RaiseNotifyChanged(ByVal propName As String)
	RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propName))
	End Sub

	Private dispTime As New DispatcherTimer()
	Private Shared ran As New Random()
	Public Sub New()
	  dispTime.Interval = New TimeSpan(0, 0, 0, 0, ran.Next(20, 1500))
	  AddHandler dispTime.Tick, AddressOf dispTime_Tick
	  dispTime.Start()

	End Sub
	Private Sub dispTime_Tick(ByVal sender As Object, ByVal e As System.EventArgs)

	  Me.UnitsInStock = ran.Next(100, 150)
	  dispTime.Interval = New TimeSpan(0, 0, 0, 0, ran.Next(20, 1500))

	End Sub

  End Class
End Namespace
