Imports Microsoft.VisualBasic
Imports System
Imports System.Windows
Imports System.Windows.Threading
Namespace Databinding.Notification
  Public Class InventoryTickerC
	  Inherits DependencyObject
	' change notification via a DependencyProperty

	#Region "DependencyProperty"
	Public Property UnitsInStock() As Integer
	  Get
		  Return CInt(Fix(GetValue(UnitsInStockProperty)))
	  End Get
	  Set(ByVal value As Integer)
		  SetValue(UnitsInStockProperty, value)
	  End Set
	End Property

	Public Shared ReadOnly UnitsInStockProperty As DependencyProperty = DependencyProperty.Register("UnitsInStock", GetType(Integer), GetType(InventoryTickerC), New UIPropertyMetadata(0))
	#End Region

	Private privateProductName As String
	Public Property ProductName() As String
		Get
			Return privateProductName
		End Get
		Set(ByVal value As String)
			privateProductName = value
		End Set
	End Property

	Private dispTime As New DispatcherTimer()
	Private Shared ran As New Random(DateTime.Now.Second)
	Public Sub New()
	  dispTime.Interval = New TimeSpan(0, 0, 0, 0, ran.Next(20, 1500))
	  AddHandler dispTime.Tick, AddressOf dispTime_Tick
	  dispTime.Start()

	End Sub
	Private Sub dispTime_Tick(ByVal sender As Object, ByVal e As System.EventArgs)

	  Me.UnitsInStock = ran.Next(100, 150)
	  dispTime.Interval = New TimeSpan(0, 0, 0, 0, ran.Next(20, 1500))

	End Sub
  End Class
End Namespace
