Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Reflection
Imports System.Windows
Imports System.Windows.Controls

Namespace DataBindingMainApp

  Partial Public Class ListOfDPs
	  Inherits Page
	Public Sub New()
	  InitializeComponent()
	  AddHandler Loaded, AddressOf ListOfDPs_Loaded
	  AddHandler ElementsListBox.SelectionChanged, AddressOf ElementsListBox_SelectionChanged

	End Sub

	Private Sub ElementsListBox_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
	  Dim t As Type = CType(ElementsListBox.SelectedItem, Type)
	  Dim q2 = From member In t.GetFields (BindingFlags.Public Or BindingFlags.Static Or BindingFlags.FlattenHierarchy) _
	           Where member.FieldType Is GetType(System.Windows.DependencyProperty) _
	           Order By member.Name _
	           Select member
   
	  DpListBox.ItemsSource = q2.ToList()
	  DpListBox.DisplayMemberPath = "Name"
	End Sub

	Private Sub ListOfDPs_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  Dim aName As String = "PresentationFramework, Version=3.0.0.0, Culture=neutral, PublicKeyToken= 31bf3856ad364e35"
	  Dim [assembly] As System.Reflection.Assembly = System.Reflection.Assembly.Load(aName)
	  Dim q = From type In [assembly].GetTypes() _
	          Where type.IsSubclassOf(GetType(System.Windows.FrameworkElement)) _
	          Order By type.Name _
	          Select type

	  ElementsListBox.ItemsSource = q.ToList()
	  ElementsListBox.DisplayMemberPath = "Name"

	  'var q1 = from member
	  'in typeof(System.Windows.Controls.TextBlock).GetFields
	  '(BindingFlags.Public | BindingFlags.Static | BindingFlags.FlattenHierarchy)
	  '         where member.FieldType == typeof(System.Windows.DependencyProperty)
	  '         orderby member.Name
	  '         select member;

	  Dim q2 = From member In GetType(System.Windows.Controls.TextBlock).GetFields (BindingFlags.Public Or BindingFlags.Static Or BindingFlags.FlattenHierarchy) _
	           Where member.FieldType Is GetType(System.Windows.DependencyProperty) _
	           Order By member.Name _
	           Select member
	  DpListBox.ItemsSource = q2.ToList()
	  DpListBox.DisplayMemberPath = "Name"

	End Sub

	Private Sub GetAllFields(ByRef fields As List(Of FieldInfo), ByVal type As Type)

	End Sub
  End Class
End Namespace
